Bug 925891 - libstatgrab: Does not support aarch64 in f19 and rawhide
Summary: libstatgrab: Does not support aarch64 in f19 and rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libstatgrab
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 01:10 UTC by Dennis Gilmore
Modified: 2013-09-16 09:28 UTC (History)
5 users (show)

Fixed In Version: libstatgrab-0.90-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-15 18:33:30 UTC
Type: ---


Attachments (Terms of Use)

Description Dennis Gilmore 2013-03-23 01:10:03 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  libstatgrab appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/libstatgrab/libstatgrab-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Oliver Falk 2013-04-02 06:48:26 UTC
I tried to contact upstream. Let's see....

Comment 2 Fedora Update System 2013-08-13 11:37:52 UTC
libstatgrab-0.90-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libstatgrab-0.90-1.el6

Comment 3 Fedora Update System 2013-08-13 11:38:00 UTC
libstatgrab-0.90-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libstatgrab-0.90-1.fc19

Comment 4 Fedora Update System 2013-08-13 11:38:10 UTC
libstatgrab-0.90-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libstatgrab-0.90-1.el5

Comment 5 Fedora Admin XMLRPC Client 2013-08-16 04:33:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Update System 2013-09-15 18:33:30 UTC
libstatgrab-0.90-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-09-16 00:27:34 UTC
libstatgrab-0.90-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Tuomo Soini 2013-09-16 08:00:38 UTC
What error caused this update to slip to epel6 without being pushed to testing at all? That is huge bug in fedora admin - stable karma treshold calculation is starting at wrong point.

Please unpull this package from epel6 stable immediately. This package upate caused three other packages to break on epel6 bwm-ng, pystagbrab and razorqt - there isn't even successful build of razorqt available with this new libstatgrab.

Comment 9 Michael Schwendt 2013-09-16 08:24:47 UTC
Tuomo : The update submitter is able to adjust the karma threshold. Here it has been reduced to '1' without a rationale, so with the first +1 vote the threshold has been reached, and the testing period has been circumvented.

  https://admin.fedoraproject.org/pkgdb/acls/name/bwm-ng
  https://admin.fedoraproject.org/pkgdb/acls/name/libstatgrab

Comment 10 chen haochuan 2013-09-16 09:26:16 UTC
Error: Package: razorqt-panel-0.5.2-10.fc19.x86_64 (@fedora)
           Requires: libstatgrab.so.6()(64bit)
           Removing: libstatgrab-0.17-4.fc19.x86_64 (@fedora)
               libstatgrab.so.6()(64bit)
           Updated By: libstatgrab-0.90-1.fc19.x86_64 (updates)
              ~libstatgrab.so.9()(64bit)

Comment 11 Christopher Meng 2013-09-16 09:28:53 UTC
(In reply to chen haochuan from comment #10)
> Error: Package: razorqt-panel-0.5.2-10.fc19.x86_64 (@fedora)
>            Requires: libstatgrab.so.6()(64bit)
>            Removing: libstatgrab-0.17-4.fc19.x86_64 (@fedora)
>                libstatgrab.so.6()(64bit)
>            Updated By: libstatgrab-0.90-1.fc19.x86_64 (updates)
>               ~libstatgrab.so.9()(64bit)

I know. We are trying to solve it, please report a bug against libstatgrab.


Note You need to log in before you can comment on or make changes to this bug.